insert into sources (source_id) values (1);

insert into types (type_id, type_name) values (1, 'point');

insert into source_type (source_id, type_id) values (1, 1);

insert into names (name_id, source_name) values (123, 'J0522-364');

insert into source_name (name_id, source_id) values (123, 1);

insert into catalogues (catalogue_id, catalogue_name) values (5, 'ALMA');

insert into ranges (range_id, range_name, frequency_min, frequency_max) values (1, 'range1', 0.0, 100.0);
insert into ranges (range_id, range_name, frequency_min, frequency_max) values (2, 'range2', 101.0, 200.0);

-- three days, two bands. Each band has 3 measurements per day

-- day 1
-- range 1
insert into measurements (measurement_id, catalogue_id, source_id, ra, dec, frequency, flux, date_observed, date_created, valid) 
values (1, 5, 1, 0.0, 0.0, 50.0, 45.0, to_date('19-01-2011 10:00', 'DD-MM-YYYY HH24:MI'), sysdate, 1);
insert into measurements (measurement_id, catalogue_id, source_id, ra, dec, frequency, flux, date_observed, date_created, valid) 
values (2, 5, 1, 0.0, 0.0, 50.0, 45.0, to_date('19-01-2011 11:00', 'DD-MM-YYYY HH24:MI'), sysdate, 1);
insert into measurements (measurement_id, catalogue_id, source_id, ra, dec, frequency, flux, date_observed, date_created, valid) 
values (3, 5, 1, 0.0, 0.0, 50.0, 45.0, to_date('19-01-2011 12:00', 'DD-MM-YYYY HH24:MI'), sysdate, 1);
-- range 2
insert into measurements (measurement_id, catalogue_id, source_id, ra, dec, frequency, flux, date_observed, date_created, valid) 
values (4, 5, 1, 0.0, 0.0, 150.0, 45.0, to_date('19-01-2011 10:00', 'DD-MM-YYYY HH24:MI'), sysdate, 1);
insert into measurements (measurement_id, catalogue_id, source_id, ra, dec, frequency, flux, date_observed, date_created, valid) 
values (5, 5, 1, 0.0, 0.0, 150.0, 45.0, to_date('19-01-2011 11:00', 'DD-MM-YYYY HH24:MI'), sysdate, 1);
insert into measurements (measurement_id, catalogue_id, source_id, ra, dec, frequency, flux, date_observed, date_created, valid) 
values (6, 5, 1, 0.0, 0.0, 150.0, 45.0, to_date('19-01-2011 12:00', 'DD-MM-YYYY HH24:MI'), sysdate, 1);

-- day 2
-- range 1
insert into measurements (measurement_id, catalogue_id, source_id, ra, dec, frequency, flux, date_observed, date_created, valid) 
values (7, 5, 1, 0.0, 0.0, 50.0, 45.0, to_date('20-01-2011 10:00', 'DD-MM-YYYY HH24:MI'), sysdate, 1);
insert into measurements (measurement_id, catalogue_id, source_id, ra, dec, frequency, flux, date_observed, date_created, valid) 
values (8, 5, 1, 0.0, 0.0, 50.0, 45.0, to_date('20-01-2011 11:00', 'DD-MM-YYYY HH24:MI'), sysdate, 1);
insert into measurements (measurement_id, catalogue_id, source_id, ra, dec, frequency, flux, date_observed, date_created, valid) 
values (9, 5, 1, 0.0, 0.0, 50.0, 45.0, to_date('20-01-2011 12:00', 'DD-MM-YYYY HH24:MI'), sysdate, 1);
-- range 2
insert into measurements (measurement_id, catalogue_id, source_id, ra, dec, frequency, flux, date_observed, date_created, valid) 
values (10, 5, 1, 0.0, 0.0, 150.0, 45.0, to_date('20-01-2011 10:00', 'DD-MM-YYYY HH24:MI'), sysdate, 1);
insert into measurements (measurement_id, catalogue_id, source_id, ra, dec, frequency, flux, date_observed, date_created, valid) 
values (11, 5, 1, 0.0, 0.0, 150.0, 45.0, to_date('20-01-2011 11:00', 'DD-MM-YYYY HH24:MI'), sysdate, 1);
insert into measurements (measurement_id, catalogue_id, source_id, ra, dec, frequency, flux, date_observed, date_created, valid) 
values (12, 5, 1, 0.0, 0.0, 150.0, 45.0, to_date('20-01-2011 12:00', 'DD-MM-YYYY HH24:MI'), sysdate, 1);

-- day 3
-- range 1
insert into measurements (measurement_id, catalogue_id, source_id, ra, dec, frequency, flux, date_observed, date_created, valid) 
values (13, 5, 1, 0.0, 0.0, 50.0, 45.0, to_date('21-01-2011 10:00', 'DD-MM-YYYY HH24:MI'), sysdate, 1);
insert into measurements (measurement_id, catalogue_id, source_id, ra, dec, frequency, flux, date_observed, date_created, valid) 
values (14, 5, 1, 0.0, 0.0, 50.0, 45.0, to_date('21-01-2011 11:00', 'DD-MM-YYYY HH24:MI'), sysdate, 1);
insert into measurements (measurement_id, catalogue_id, source_id, ra, dec, frequency, flux, date_observed, date_created, valid) 
values (15, 5, 1, 0.0, 0.0, 50.0, 45.0, to_date('21-01-2011 12:00', 'DD-MM-YYYY HH24:MI'), sysdate, 1);
-- range 2
insert into measurements (measurement_id, catalogue_id, source_id, ra, dec, frequency, flux, date_observed, date_created, valid) 
values (16, 5, 1, 0.0, 0.0, 150.0, 45.0, to_date('21-01-2011 10:00', 'DD-MM-YYYY HH24:MI'), sysdate, 1);
insert into measurements (measurement_id, catalogue_id, source_id, ra, dec, frequency, flux, date_observed, date_created, valid) 
values (17, 5, 1, 0.0, 0.0, 150.0, 45.0, to_date('21-01-2011 11:00', 'DD-MM-YYYY HH24:MI'), sysdate, 1);
insert into measurements (measurement_id, catalogue_id, source_id, ra, dec, frequency, flux, date_observed, date_created, valid) 
values (18, 5, 1, 0.0, 0.0, 150.0, 45.0, to_date('21-01-2011 12:00', 'DD-MM-YYYY HH24:MI'), sysdate, 1);

