-- ICT-4149 "SourceCat: add best-estimate source position"
-- requires two sources for the test to work

insert into sources 
(source_id, ra_deg, dec_deg) 
values 
(51, 0.0, 0.0);

insert into sources 
(source_id, ra_deg, dec_deg) 
values 
(52, 2.0, 2.0);


insert into types (type_id, type_name) values (1, 'type1');
insert into types (type_id, type_name) values (2, 'type2');

insert into source_type (source_id, type_id) values (51, 1);
insert into source_type (source_id, type_id) values (52, 2);

insert into names (name_id, source_name) values (1, 'name1');
insert into names (name_id, source_name) values (2, 'name2');

insert into source_name (name_id, source_id) values (1, 51);
insert into source_name (name_id, source_id) values (2, 52);

insert into catalogues (catalogue_id, catalogue_name) values (1, 'cat1');
insert into catalogues (catalogue_id, catalogue_name) values (2, 'cat2');

insert into measurements 
(measurement_id, catalogue_id, source_id, ra, dec, frequency, flux, date_observed, date_created, valid) 
values 
(1, 1, 51, 0.0, 0.0, 19840.0, 45.0, sysdate, sysdate, 1);

insert into measurements 
(measurement_id, catalogue_id, source_id, ra, dec, frequency, flux, date_observed, date_created, valid) 
values 
(2, 1, 52, 2.0, 2.0, 0.0, 0.0, sysdate, sysdate, 1);
