insert into sources (source_id) values (1);
insert into sources (source_id) values (2);
insert into sources (source_id) values (3);

insert into types (type_id, type_name) values (1, 'point');

insert into source_type (source_id, type_id) values (1, 1);
insert into source_type (source_id, type_id) values (2, 1);
insert into source_type (source_id, type_id) values (3, 1);

insert into names (name_id, source_name) values (123, 'J0522-364');
insert into names (name_id, source_name) values (456, 'source2');
insert into names (name_id, source_name) values (789, 'source3');

insert into source_name (name_id, source_id) values (123, 1);
insert into source_name (name_id, source_id) values (456, 2);
insert into source_name (name_id, source_id) values (789, 3);

insert into catalogues (catalogue_id, catalogue_name) values (5, 'ALMA');

insert into ranges (range_id, range_name, frequency_min, frequency_max) values (1, 'range1', 0.0, 100.0);
insert into ranges (range_id, range_name, frequency_min, frequency_max) values (2, 'ALMA-Band 3', 100.0, 200.0);

insert into measurements 
(measurement_id, catalogue_id, source_id, ra, dec, frequency, flux, date_observed, date_created, valid) 
values 
(1, 5, 1, 0.0, 0.0, 50.0, 1.0, to_date('21-01-2011', 'DD-MM-YYYY'), sysdate, 1);

insert into measurements 
(measurement_id, catalogue_id, source_id, ra, dec, frequency, flux, date_observed, date_created, valid) 
values 
(2, 5, 1, 0.0, 0.0, 60.0, 2.0, to_date('21-01-2012', 'DD-MM-YYYY'), sysdate, 1);

insert into measurements 
(measurement_id, catalogue_id, source_id, ra, dec, frequency, flux, date_observed, date_created, valid) 
values 
(3, 5, 1, 0.0, 0.0, 70.0, 3.0, to_date('21-01-2013', 'DD-MM-YYYY'), sysdate, 1);

insert into measurements 
(measurement_id, catalogue_id, source_id, ra, dec, frequency, flux, date_observed, date_created, valid) 
values 
(4, 5, 2, 0.0, 0.0, 80.0, 4.0, to_date('21-01-2010', 'DD-MM-YYYY'), sysdate, 1);

insert into measurements 
(measurement_id, catalogue_id, source_id, ra, dec, frequency, flux, date_observed, date_created, valid) 
values 
(5, 5, 3, 0.0, 0.0, 110.0, 5.0, to_date('21-01-2001', 'DD-MM-YYYY'), sysdate, 1);

insert into measurements 
(measurement_id, catalogue_id, source_id, ra, dec, frequency, flux, date_observed, date_created, valid) 
values 
(6, 5, 3, 0.0, 0.0, 120.0, 6.0, to_date('21-01-2002', 'DD-MM-YYYY'), sysdate, 1);
